## GDataFreebaseTopicQuery

GDataFreebaseTopicQuery — GData Freebase topic query object

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataFreebaseTopicQuery * | gdata_freebase_topic_query_new ()
void | gdata_freebase_topic_query_set_filter ()
const gchar * const * | gdata_freebase_topic_query_get_filter ()
void | gdata_freebase_topic_query_set_language ()
const gchar * | gdata_freebase_topic_query_get_language ()

## Properties

GStrv | filter | Read / Write
gchar * | language | Read / Write

## Types and Values

| GDataFreebaseTopicQuery
| GDataFreebaseTopicQueryClass

## Object Hierarchy

        GObject
        ╰── GDataQuery
            ╰── GDataFreebaseTopicQuery

## Includes

    #include <gdata/services/freebase/gdata-freebase-topic-query.h>

## Description

GDataFreebaseTopicQuery represents a Freebase topic query. The topic query happens on a single Freebase ID, given in `gdata_freebase_topic_query_new()`, the reply returns all known information in Freebase for that given ID. For more documentation and examples, see the Topic response API documentation

This implementation of GDataQuery respects the `gdata_query_set_max_results()` and `gdata_query_set_updated_max()` calls.

For more details of Google Freebase API, see the online documentation.

## Functions

### gdata_freebase_topic_query_new ()

    GDataFreebaseTopicQuery *
    gdata_freebase_topic_query_new (const gchar *id);

Creates a new GDataFreebaseTopicQuery for the given Freebase ID. Those can be obtained programmatically through `gdata_freebase_search_result_item_get_id()` or embedded in the result of a `gdata_freebase_service_query()` call.

#### Parameters

id | a Freebase ID or MID |

#### Returns

a new GDataFreebaseTopicQuery.

[transfer full]

Since 0.15.1

### gdata_freebase_topic_query_set_filter ()

    void
    gdata_freebase_topic_query_set_filter (GDataFreebaseTopicQuery *self,
                                           const gchar * const *filter);

Sets a filter on the properties to be returned by the GDataFreebaseTopicQuery, a filter string usually contains either a specific property (eg. "/common/topic/description", or "/computer/software/first_released"), or a property domain (eg. "/common/topic", or "/computer"), all properties pertaining to the domain will be returned through the GDataFreebaseTopicResult in the latter case. Other special strings can be passed as filter strings, those are documented in the Topic API overview

If multiple filter strings are set, the result will contain all information necessary to satisfy each of those individually. If no filter is set, the "commons" special value will be implicitly assumed, which returns a reasonably complete data set.

#### Parameters

self | a GDataFreebaseTopicQuery |
filter | `NULL`-terminated array of filter strings, or `NULL` to unset. | [array zero-terminated=1][allow-none]

Since 0.15.1

### gdata_freebase_topic_query_get_filter ()

    const gchar * const *
    gdata_freebase_topic_query_get_filter (GDataFreebaseTopicQuery *self);

Gets the filter set on the topic query, or `NULL` if unset.

#### Parameters

self | a GDataFreebaseTopicQuery |

#### Returns

The filter used on the query.

[array zero-terminated=1][transfer none][allow-none]

Since 0.15.1

### gdata_freebase_topic_query_set_language ()

    void
    gdata_freebase_topic_query_set_language
                                   (GDataFreebaseTopicQuery *self,
                                    const gchar *lang);

Sets the language used in the topic query. If unset, the locale preferences will be respected.

#### Parameters

self | a GDataFreebaseTopicQuery |
lang | language used on the topic query, in ISO-639-1 format, or `NULL` to unset the language. | [allow-none]

Since 0.15.1

### gdata_freebase_topic_query_get_language ()

    const gchar *
    gdata_freebase_topic_query_get_language
                                   (GDataFreebaseTopicQuery *self);

Gets the language set on the topic query, or `NULL` if unset.

#### Parameters

self | a GDataFreebaseTopicQuery |

#### Returns

The language used on the query.

[allow-none]

Since 0.15.1

## Types and Values

### GDataFreebaseTopicQuery

    typedef struct _GDataFreebaseTopicQuery GDataFreebaseTopicQuery;

All the fields in the GDataFreebaseTopicQuery structure are private and should never be accessed directly.

Since 0.15.1

### GDataFreebaseTopicQueryClass

    typedef struct {
    } GDataFreebaseTopicQueryClass;

All the fields in the GDataFreebaseTopicQueryClass structure are private and should never be accessed directly.

Since 0.15.1

## Property Details

### The `“filter”` property

      “filter”                   GStrv

Array of properties (eg. "/common/topic/description", or "/computer/software/first_released"), or property domains (eg. "/common/topic", or "/computer") to be used as filter.

Flags: Read / Write

Since 0.15.1

### The `“language”` property

      “language”                 gchar *

Language used for topic values in the result, in ISO-639-1 format.

Flags: Read / Write

Default value: NULL

Since 0.15.1